Bug 1564389

Summary: logs stopped rotating after some time
Product: Red Hat CloudForms Management Engine Reporter: Himanshu Roy <hroy>
Component: ApplianceAssignee: Ladislav Smola <lsmola>
Status: CLOSED NOTABUG QA Contact: Dave Johnson <dajohnso>
Severity: high Docs Contact:
Priority: high    
Version: 5.9.0CC: abellott, agrare, cpelland, gblomqui, hroy, jfrey, jhardy, jrafanie, lsmola, obarenbo, psuriset
Target Milestone: GA   
Target Release: cfme-future   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-07-17 08:42:11 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Comment 2 Dave Johnson 2018-04-06 07:45:04 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 3 Joe Rafaniello 2018-04-18 12:11:45 UTC
Please provide the logs, at the very least the /var/www/miq/vmdb/log/appliance_console.log:

https://github.com/ManageIQ/manageiq-appliance/blob/master/logrotate_free_space_check.sh

We check for free disk space before rotating logs.  It's the only place I know that we skip the logrotate.

But even still, I'd like to see the evm.log.

We only rotate each day.  How big were the log files after the first day the rotation didn't happen?

Comment 8 Joe Rafaniello 2018-05-03 15:16:20 UTC
Reassigning to Ladas for now... feel free to send it back if need be.

Thanks!

Comment 11 Ladislav Smola 2018-07-12 11:53:47 UTC
Himanshu: 

Can you please close this as NotABug and create a BZ for "when metrics-endpoint is not reachable, the metrics collector worker should be disabled.
"

Put in on Providers(Container Management team). Also I think there might have been a similar BZ, so maybe this is already solved in some new version.

Thank you.